-- Add/modify columns 
alter table I_CUSTOMER modify PURCHASEORDER VARCHAR2(30);

-- Add/modify columns 
alter table I_PRODUCT add DEFAULTSALESGRADECODE varchar2(1) default 'N' not null;
alter table I_PRODUCT add DEFAULTMOUNTINGORDERGRADECODE varchar2(1) default 'N' not null;
-- Add comments to the columns 
comment on column I_PRODUCT.DEFAULTSALESGRADECODE
  is 'Optional default Sales Quality Grade';
comment on column I_PRODUCT.DEFAULTMOUNTINGORDERGRADECODE
  is 'Optional default Mounting order Quality Grade';

-- Add/modify columns 
alter table I_PRODUCT add PERCENTAGEFIRSTDELIVERY number(3) default 100;

alter table I_PRODUCT
  add constraint I_PRODUCTPERCFIRSTDELIVERY
  check (PERCENTAGEFIRSTDELIVERY between 1 and 100);